<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <params>
    <needle1source>instrumentation/rmi[0]/needle1-switch-position</needle1source>
    <needle2source>instrumentation/rmi[0]/needle2-switch-position</needle2source>
<!--
    <indicated-heading>instrumentation/heading-indicator/indicated-heading-deg</indicated-heading>
-->
    <indicated-heading>orientation/heading-magnetic-deg</indicated-heading>
    <one>instrumentation/rmi[0]/needle1-rotation-deg</one>
    <two>instrumentation/rmi[0]/needle2-rotation-deg</two>
  </params>

  <path>rmi.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>Chassis</object-name>
    <object-name>CompassRose</object-name>
    <object-name>Marker</object-name>
    <object-name>Two</object-name>
    <object-name>One</object-name>

    <object-name>vitre</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>Chassis</object-name>
    <object-name>CompassRose</object-name>
    <object-name>Marker</object-name>
    <object-name>Two</object-name>
    <object-name>One</object-name>
    <object-name>vitre</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>vitre</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>CompassRose</object-name>
    <object-name>Two</object-name>
    <object-name>One</object-name>
    <object-name>Marker</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>CompassRose</object-name>
    <property alias="../../params/indicated-heading"/>
    <factor>1.0</factor>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>Two</object-name>
    <property alias="../../params/two"/>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>One</object-name>
    <property alias="../../params/one"/>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
  </animation>

</PropertyList>
